Subject: Re: problems with latest Cygwin 1.1
From: Carl Thompson <[email-masked]>
To: "Parker, Ron" <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Tue, 06 Jun 2000 11:53:29 -0700

"Parker, Ron" wrote:

> ...

> This just leaves one link error that I do not have time to resolve
> right now:
> 
> /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../ \
> i686-pc-cygwin/lib/libmin
> gw32.a(main.o)(.text+0x8f):main.c: undefined reference to `WinMain@16'
> collect2: ld returned 1 exit status
> I searched the list, but the "-Wl,-u,WinMain@16" solution that was
> previously mentioned by Mumit Khan does not seem to work in this case.
>  He is unavailable until mid-month and I am just trying to fill in
> where I can while I am waiting on computers at work.

We already have a solution to this problem.  Thanks!  (We basically add a
WinMain() to our library which calls main().  Doesn't work properly when the
library is built as a DLL though because Windows is shared-library
challenged apparently).

> > Also, what happens if I want to use the math library in my app?
> 
> When you compile with the -mno-cygwin switch it picks up the math
> routines automatically from crtldll.dll via -lcrtldll.

OK, I can get rid of "-lm" in the configure script for the Cygwin target.

These workarounds might work if I specify the C++ compile command
explicitely to configure.  Not as nice as it just plain working, but maybe
doable.

Thanks,
Carl Thompson

--
Want to unsubscribe from this list?
Send a message to [email-masked]